package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 优惠券对象 mall_coupon
 * 
 * @author ruoyi
 * @date 2021-12-17
 */
public class MallCoupon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 优惠券id */
    private Long id;

    /** 优惠券类型：0新人优惠券 */
    @Excel(name = "优惠券类型：0新人优惠券")
    private String type;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal price;

    /** 生成时间 */
    @Excel(name = "生成时间")
    private String createAt;

    /** 更新时间 */
    private String updateAt;

    /** 删除标记 0 正常 1 删除 */
    private String delFlag;

    /** 是否启用 0 停用 1 启用 */
    @Excel(name = "是否启用 0 停用 1 启用")
    private String isFiring;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setIsFiring(String isFiring) 
    {
        this.isFiring = isFiring;
    }

    public String getIsFiring() 
    {
        return isFiring;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("price", getPrice())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .append("isFiring", getIsFiring())
            .toString();
    }
}
